---
# This file uses YAML anchors which allow reuse of multiple keys without having
# to repeat yourself.
# Also see https://github.com/Mic92/dotfiles/blob/master/nixos/.sops.yaml
# for a more complex example.
keys:
  - &stooj 243848098EB57DBEA8DF8000834B1ADFEC5BDC38
  - &ashford age1hx2wvu6ueva5xa75w0zjw7k9qx4ztkhkfxrn23xzrxhty3qypa6qxrdjyf
  - &europa age10g8vree8jrkr046ekfgg6639ucx2ux7dtpcy8ksezvda28mfd99sy4rer8
  - &hygiea age18c6lhn9hs3sz032hcegyjkn0dfneqhrszg7c7xmzsgjjagkck3rqm60ran
  - &kuiper age1nzvxkwmjmlezv43c25a0ku5rhl4lumlej73zfgf9ed3zqavw6srsv9h5vz
  - &medina age1ahc988mzpms3fynqhvn29wx9rx5lts5uykk59czyrstmjn3f9f6qughduk
  - &rebecca age1v5lxdlt9t0z85fd7wlhkzsnfkvjsvg83zleeljj2ktj2yfv2j9ysguceuj
  - &drummer age1t8zjm6vfag380kvqwaprl92gk8sy75rvz6qqgqkl84wtar6xxfsqg9pm2c
creation_rules:
  - path_regex: secrets.yaml$
    key_groups:
      - pgp:
          - *stooj
        age:
          - *ashford
          - *drummer
          - *europa
          - *hygiea
          - *kuiper
          - *medina
          - *rebecca
